<?php

namespace modules\virkdata\helpers;

enum virkdata_response_error_codes
{
    case invalid_api_key; // 1001
    case invalid_api_format; // 1002
    case missing_auth_header; // 1003
    case invalid_property; // 2001
    case property_not_allowed; // 2002
    case missing_request_value; // 3001
    case no_results; // 3002
    case test_connection_failed; // 6001
    case quota_exceeded; // 7001
    case daily_quota_exceeded; // 7002
    case too_many_requests; // 8001
    case invalid_format; // 4001
    case invalid_country; // 5001
    case country_not_allowed; // 5002
    case unknown;
}
